libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Functions
dvb-demux.h File Reference
Digital TV demux

Provides interfaces to deal with DVB demux. More...

`#include <linux/dvb/dmx.h>`

Go to the source code of this file.

## Functions
int | dvb_dmx_open (int adapter, int demux)
| Opens a DVB demux in read/write mode. More...
void | dvb_dmx_close (int dmx_fd)
| Stops the DMX filter for the file descriptor and closes. More...
void | dvb_dmx_stop (int dmx_fd)
| Stops the DMX filter for a given file descriptor. More...
int | dvb_set_pesfilter (int dmxfd, int pid, dmx_pes_type_t type, dmx_output_t output, int buffersize)
| Start a filter for a MPEG-TS Packetized Elementary Stream (PES) More...
int | dvb_set_section_filter (int dmxfd, int pid, unsigned filtsize, unsigned char *filter, unsigned char *mask, unsigned char *mode, unsigned int flags)
| Sets a MPEG-TS section filter. More...
int | dvb_get_pmt_pid (int dmxfd, int sid)
| read the contents of the MPEG-TS PAT table, seeking for an specific service ID More...

## Detailed Description

Provides interfaces to deal with DVB demux.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file dvb-demux.h.